<?php

/*
//(C) OXID-Design 2017
//
// The source contained in this file is the property of the OXID-Design
// (Leipziger Allee 36, 76139 Karlsruhe, Germany, www.oxid-design.com).
//
// GNU GENERAL PUBLIC LICENSE
//
//This program is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation;
//either version 3 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>
*/

class od_honeypot_user extends od_honeypot_user_parent
{
    /**
     * Creates new oxid user
     *
     * @return string partial parameter string or null
     */
    public function registerUser()
    {
        if (oxRegistry::getConfig()->getConfigParam('blCaptchaSecurity')) {
            //control captcha
            $sMac = oxRegistry::getConfig()->getRequestParameter('c_mac');
            $sMacHash = oxRegistry::getConfig()->getRequestParameter('c_mach');
            $oCaptcha = oxNew('oxCaptcha');
            if (oxRegistry::getConfig()->getConfigParam('blCaptchaSecurity') && !$oCaptcha->pass($sMac, $sMacHash)) {
                return oxRegistry::get("oxUtilsView")->addErrorToDisplay('MESSAGE_WRONG_VERIFICATION_CODE', false, true);
            }
        }

        // registered new user ?
        if ($this->createuser() != false && $this->_blIsNewUser) {
            if ($this->_blNewsSubscriptionStatus === null || $this->_blNewsSubscriptionStatus) {
                return 'register?success=1';
            } else {
                return 'register?success=1&newslettererror=4';
            }
        } else {
            // problems with registration ...
            $this->logout();
        }
    }
}